Subject: Re: [PATCH v4 1/5] fmt-merge-msg: Make the number of log entries in commit message configurable

From: Ramkumar Ramachandra <[email-masked]>
Date: Sun, 22 Aug 2010 12:23:34 +0530

Hi Jonathan,

Jonathan Nieder writes:
> Hi again,
> 
> Thanks for working on this.
> 
> Ramkumar Ramachandra wrote:
> 
> > Signed-off-by: Ramkumar Ramachandra <[email-masked]>
> > Reported-by: Yaroslav Halchenko <debian <at> onerussian.com>
> 
> Looks like some of the @ signs have been corrupted somehow.

My stupidity- I copied the additional lines off the GMane interface.

[...]
> FWIW if I were writing it, I would make changes in something like this
> order:
> 
>  - Change fmt_merge_msg API to
> 
> 	int fmt_merge_msg(struct strbuf *in, struct strbuf *out,
> 				int shortlog_len);
> 
>    where shortlog_len is 0 for no shortlog, 20 for a shortlog
>    with 20 items.  Update all callers (the changed function
>    signature makes it easy to find them).
> 
>  - Update merge --log and fmt-merge-msg --log options to take
>    an optional "size of shortlog" argument.
> 
>  - update [merge] log configuration to accept an integer
>    "size of shortlog" value.
> 
> The first step might look like this.
[...]

Thanks for being so patient! It looks like there's no end to my
mistakes :p

I'll rewrite this and try to follow the guidelines you've outlined in
future- hopefully, I'll become more experienced someday :)

-- Ram